// ----------------------------------------------------------------------------------
// Microsoft Developer & Platform Evangelism
// 
// Copyright (c) Microsoft Corporation. All rights reserved.
// 
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
// OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
// ----------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
// ----------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using System.Web.Mvc;
using System.Web.Routing;

namespace PlanMyNight.LogOn
{
    public static class Routes
    {
        public const string AreaName = "PlanMyNight.LogOn";

        public static void RegisterRoutes(RouteCollection routes)
        {
            var areaContext = new AreaRegistrationContext(AreaName, routes);

            areaContext.MapRoute(
                "LogOn",
                "PlanMyNight.LogOn/Account/{action}",
                new { controller = "Account" },
                new[] { "PlanMyNight.LogOn.Controllers" });
        }
    }
}